#include <iostream>

#include <arc/xrsl.h>

int main(int argc, char *argv[]) {

	Xrsl xrsl1("&(executable=/bin/echo)(arguments=\"hello, world\")(maxdisk=1000)");
	Xrsl xrsl2("&(executable=/bin/echo)(arguments=\"hello, world\")(myattr=\"something stupid\")");
	Xrsl xrsl3("&(arguments=\"hello, world\")");
	Xrsl xrsl4("&(executable=/bin/echo)(arguments=\"hello, world\")(count=1)(count=1)");

	std::cout << "Validating xrsl: " << xrsl1.str() << std::endl;
	try {
		PerformXrslValidation(xrsl1);
	} catch (XrslError e) {
		std::cout << e.what() << std::endl;
	}

	std::cout << "Validating xrsl: " << xrsl2.str() << std::endl;
	try {
		PerformXrslValidation(xrsl2);
	} catch (XrslError e) {
		std::cout << e.what() << std::endl;
	}

	std::cout << "Validating xrsl: " << xrsl3.str() << std::endl;
	try {
		PerformXrslValidation(xrsl3);
	} catch (XrslError e) {
		std::cout << e.what() << std::endl;
	}

	std::cout << "Validating xrsl: " << xrsl4.str() << std::endl;
	try {
		PerformXrslValidation(xrsl4);
	} catch (XrslError e) {
		std::cout << e.what() << std::endl;
	}
}
