package se.umu.jobsubmission.util;

import java.util.LinkedList;
import java.util.List;

import org.apache.log4j.Logger;

/**
 * @author tordsson
 *
 * 
 */
public class SelectorUtil {

	private static Logger logger = Logger.getLogger(SelectorUtil.class); 
	
	/**
	 * Simple insertion sort. Sorts list of resources in increasing 
	 * time. 
	 * @param resources List of resources
	 * @param times List of times, used as sorting keys. 
	 * @return
	 */
	public static List reorderResources(List resources, List times) {
						
    	// Reorder resources after increasing start time...
    	List results = new LinkedList(); 
    	int value; 
    	int minValue = Integer.MAX_VALUE; 
    	int pos = 0; 
    	
    	Object resource; 
    	
    	// Insertion sort
    	int noElems = resources.size(); 
    	for(int i = 0; i < noElems; i++) {
    		pos = 0; 
    		minValue = Integer.MAX_VALUE; 
    		for(int j = 0; j < resources.size(); j++) {
    			value = ((Integer)times.get(j)).intValue(); 
    			if(value < minValue) {
    				pos = j; 
    				minValue = value; 
    			}    		    		
    		}
    		resource = resources.remove(pos); 
    		times.remove(pos); 
    		results.add(resource); 
    	}
    	
    	return results; 

	}
	
 }
