/*
 * Created on Sep 13, 2005
 */
package se.umu.jobsubmission.impl.datamanager;

import java.net.URL; 
import java.util.List; 
import org.ggf.schemas.jsdl._2005._06.jsdl.JobDefinition_Type;
import org.globus.mds.glue.GLUECERPType;

/**
 * @author tordsson
 *
 * Interface for data management. 
 *
 */
public interface DataManager {

    /**
      stageIn, transfer input files (specified in jobDescription) 
      to the resource (described in resource) .
     */
    public void stageIn(GLUECERPType resource, 
    		JobDefinition_Type jobDescription, 
			String clientURL) throws Exception; 
    /**
      transfer, helper method, moves a files between from and to.
      */
    public void transfer(URL to, URL from); 
    /**
      estimateTransferTime - estimate (e.g., using NWS) to predicts
      how long the transfer of the file from to to would take. */
    public int estimateTransferTime(URL to, URL from); 
    /**
      resolveLocations - given a logical file name, resolve all physical 
      locations of that file. */
    public List resolveLocations(URL lfn); 	

}
