package se.umu.jobsubmission.impl.jobsubmissionservice; 

import org.apache.log4j.Logger;
import org.globus.wsrf.ResourceKey;
import org.globus.wsrf.impl.ResourceHomeImpl;
import org.globus.wsrf.impl.SimpleResourceKey;

import se.umu.jobsubmission.SubmittedJob;

import se.umu.jobsubmission.JobSubmissionPropertiesType; 

public class JobSubmissionHome extends ResourceHomeImpl {

    private static Logger logger = Logger.getLogger(JobSubmissionHome.class); 
    
    /**
     * Creates a resource to hold the job information. 
     * The job ID is used as resource key. 
     * @param jobInfo
     * @throws Exception
     */
    public void create(SubmittedJob jobInfo) throws Exception {

    	// Create resource property bean. 
    	JobSubmissionResource resource = (JobSubmissionResource) 
			this.createNewInstance();
    	JobSubmissionPropertiesType properties = new
				JobSubmissionPropertiesType(); 
    	properties.setSubmittedJob(jobInfo); 
    	resource.initialize(properties, 
    			JobSubmissionPropertiesType.getTypeDesc().getXmlType(), 
				properties.getSubmittedJob().getLocalID()); 
    	
    	// Persist RP to disk. 
    	resource.setDirty(true); 
    	resource.store(); 
    	
    	ResourceKey key = new SimpleResourceKey(keyTypeName, resource.getID()); 
    	add(key, resource);
    	
    	
    }
    
}

